Skip to content

M2X APIS (1.0.0)

M2X APIs

Download OpenAPI description
Overview
License
All Rights Reserved
Languages
Servers
Mock server
https://developer.m2x.app/_mock/apis/publicapi/openapi/
https://developer.m2x.app/apis/v0/
NZ Production server (uses live data)
https://m2x.app/apis/v0/
US Production server (uses live data)
https://us.m2x.app/apis/v0/
AUS Production server (uses live data)
https://au.m2x.app/apis/v0/
Sandbox server
https://staging.m2x.app/apis/v0/

Analytics

Analytics data

Operations

Billing Groups

Invoiceable unit used by the system

Operations

Bookings

Bookings information

Operations

Carrier Bookings

Corporate bookings received by carriers

Operations

Carrier Large Contracts

Carrier large contracts

Operations

Carrier Orders

Carrier orders

Operations

Corporate Planning

Corporate Planning supplies and demands

Operations

Customer Bookings

Customer bookings on carriers

Operations

Customers

Customers used for invoices

Operations

Drivers

Drivers information

Operations

Fuel

Fuel deliveries management

Operations

Fulfilment Requests

Fulfilment request on carriers

OperationsWebhooks

General Consignments

General consignments

Operations

ISO containers

ISO containers information

Operations

Jobs

Vehicle units of work

OperationsWebhooks

Locations

Locations information

Operations

Master Bookings

Master bookings

OperationsWebhooks

Offers

Corporate monetary offers to carriers

OperationsWebhooks

Products

Products used by the system

Operations

Runs

Runs management

Operations

Subcontractors

Subcontractors information

Operations

Tractor Unit

Tractor units information

Operations

Get tractor units list

Request

Security
M2X_auth_application
curl -i -X GET \
  https://developer.m2x.app/_mock/apis/publicapi/openapi/tractorUnits \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Successful operation

Bodyapplication/jsonArray [
namestringrequired

Human identifier for the tractor unit

Example: "T001"
disabledbooleanrequired
Example: false
registrationstring
Example: "ABC123"
descriptionstring
Example: "unit 6"
vinstring
Example: "VIN123"
externalIdstring
Example: "Human searchable external id"
physicalConfigurationobject
propertiesobject

A key value store containing bespoke properties usable for pricing and optimisation

Default {}
metadataobject

Opaque passenger data

Default {}
trackingProviderstring or null

(optional) select which telematics to use (requires relevant telematics device id to be set)

Default "NONE"
Enum"EROAD""MOTIVE""MTDATA""SAMSARA""ORBCOMM""MIX_TELEMATICS""NONE"
eroadVehicleIdstring or null

(optional) telematics device id

Default null
motiveVehicleIdstring or null

(optional) telematics device id

Default null
mtDataVehicleIdstring or null

(optional) telematics device id

Default null
samsaraVehicleIdstring or null

(optional) telematics device id

Default null
orbcommVehicleIdstring or null

(optional) telematics device id

Default null
mixTelematicsVehicleIdstring or null

(optional) telematics device id

Default null
readonlyFieldsobject

Specifies which field should not be touched by the user

updatedstring(date-time)
idstring
Example: "T001"
]
Response
application/json
[ { "name": "T001", "disabled": false, "registration": "ABC123", "description": "unit 6", "vin": "VIN123", "externalId": "Human searchable external id", "physicalConfiguration": { … }, "properties": {}, "metadata": {}, "trackingProvider": "EROAD", "eroadVehicleId": null, "motiveVehicleId": null, "mtDataVehicleId": null, "samsaraVehicleId": null, "orbcommVehicleId": null, "mixTelematicsVehicleId": null, "readonlyFields": { … }, "updated": "2019-08-24T14:15:22Z", "id": "T001" } ]

Find tractor unit by ID

Request

Security
M2X_auth_application
Path
tractorUnitIdstringrequired

The tractor unit Id

curl -i -X GET \
  'https://developer.m2x.app/_mock/apis/publicapi/openapi/tractorUnits/{tractorUnitId}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Successful operation

Bodyapplication/json
namestringrequired

Human identifier for the tractor unit

Example: "T001"
disabledbooleanrequired
Example: false
registrationstring
Example: "ABC123"
descriptionstring
Example: "unit 6"
vinstring
Example: "VIN123"
externalIdstring
Example: "Human searchable external id"
physicalConfigurationobject
propertiesobject

A key value store containing bespoke properties usable for pricing and optimisation

Default {}
metadataobject

Opaque passenger data

Default {}
trackingProviderstring or null

(optional) select which telematics to use (requires relevant telematics device id to be set)

Default "NONE"
Enum"EROAD""MOTIVE""MTDATA""SAMSARA""ORBCOMM""MIX_TELEMATICS""NONE"
eroadVehicleIdstring or null

(optional) telematics device id

Default null
motiveVehicleIdstring or null

(optional) telematics device id

Default null
mtDataVehicleIdstring or null

(optional) telematics device id

Default null
samsaraVehicleIdstring or null

(optional) telematics device id

Default null
orbcommVehicleIdstring or null

(optional) telematics device id

Default null
mixTelematicsVehicleIdstring or null

(optional) telematics device id

Default null
readonlyFieldsobject

Specifies which field should not be touched by the user

updatedstring(date-time)
idstring
Example: "T001"
Response
application/json
{ "name": "T001", "disabled": false, "registration": "ABC123", "description": "unit 6", "vin": "VIN123", "externalId": "Human searchable external id", "physicalConfiguration": { "heightMetres": 2.1, "tareWeightKg": 20000 }, "properties": {}, "metadata": {}, "trackingProvider": "EROAD", "eroadVehicleId": null, "motiveVehicleId": null, "mtDataVehicleId": null, "samsaraVehicleId": null, "orbcommVehicleId": null, "mixTelematicsVehicleId": null, "readonlyFields": { "name": false, "registration": false, "vin": false, "tareWeightKg": false, "heightMetres": false, "description": false, "externalId": false, "telematics": false }, "updated": "2019-08-24T14:15:22Z", "id": "T001" }

Update/create tractor unit by ID

Request

Security
M2X_auth_application
Path
tractorUnitIdstringrequired

The tractor unit Id

Bodyapplication/jsonrequired

Update for the tractor unit

namestringrequired

Human identifier for the tractor unit

Example: "T001"
disabledbooleanrequired
Example: false
registrationstring
Example: "ABC123"
descriptionstring
Example: "unit 6"
vinstring
Example: "VIN123"
externalIdstring
Example: "Human searchable external id"
physicalConfigurationobject
propertiesobject

A key value store containing bespoke properties usable for pricing and optimisation

Default {}
metadataobject

Opaque passenger data

Default {}
trackingProviderstring or null

(optional) select which telematics to use (requires relevant telematics device id to be set)

Default "NONE"
Enum"EROAD""MOTIVE""MTDATA""SAMSARA""ORBCOMM""MIX_TELEMATICS""NONE"
eroadVehicleIdstring or null

(optional) telematics device id

Default null
motiveVehicleIdstring or null

(optional) telematics device id

Default null
mtDataVehicleIdstring or null

(optional) telematics device id

Default null
samsaraVehicleIdstring or null

(optional) telematics device id

Default null
orbcommVehicleIdstring or null

(optional) telematics device id

Default null
mixTelematicsVehicleIdstring or null

(optional) telematics device id

Default null
readonlyFieldsobject

Specifies which field should not be touched by the user

updatedstring(date-time)
curl -i -X PUT \
  'https://developer.m2x.app/_mock/apis/publicapi/openapi/tractorUnits/{tractorUnitId}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "name": "T001",
    "disabled": false,
    "registration": "ABC123",
    "description": "unit 6",
    "vin": "VIN123",
    "externalId": "Human searchable external id",
    "physicalConfiguration": {
      "heightMetres": 2.1,
      "tareWeightKg": 20000
    },
    "properties": {},
    "metadata": {},
    "trackingProvider": "EROAD",
    "eroadVehicleId": null,
    "motiveVehicleId": null,
    "mtDataVehicleId": null,
    "samsaraVehicleId": null,
    "orbcommVehicleId": null,
    "mixTelematicsVehicleId": null,
    "readonlyFields": {
      "name": false,
      "registration": false,
      "vin": false,
      "tareWeightKg": false,
      "heightMetres": false,
      "description": false,
      "externalId": false,
      "telematics": false
    },
    "updated": "2019-08-24T14:15:22Z"
  }'

Responses

Successful operation

Bodyapplication/json
namestringrequired

Human identifier for the tractor unit

Example: "T001"
disabledbooleanrequired
Example: false
registrationstring
Example: "ABC123"
descriptionstring
Example: "unit 6"
vinstring
Example: "VIN123"
externalIdstring
Example: "Human searchable external id"
physicalConfigurationobject
propertiesobject

A key value store containing bespoke properties usable for pricing and optimisation

Default {}
metadataobject

Opaque passenger data

Default {}
trackingProviderstring or null

(optional) select which telematics to use (requires relevant telematics device id to be set)

Default "NONE"
Enum"EROAD""MOTIVE""MTDATA""SAMSARA""ORBCOMM""MIX_TELEMATICS""NONE"
eroadVehicleIdstring or null

(optional) telematics device id

Default null
motiveVehicleIdstring or null

(optional) telematics device id

Default null
mtDataVehicleIdstring or null

(optional) telematics device id

Default null
samsaraVehicleIdstring or null

(optional) telematics device id

Default null
orbcommVehicleIdstring or null

(optional) telematics device id

Default null
mixTelematicsVehicleIdstring or null

(optional) telematics device id

Default null
readonlyFieldsobject

Specifies which field should not be touched by the user

updatedstring(date-time)
idstring
Example: "T001"
Response
application/json
{ "name": "T001", "disabled": false, "registration": "ABC123", "description": "unit 6", "vin": "VIN123", "externalId": "Human searchable external id", "physicalConfiguration": { "heightMetres": 2.1, "tareWeightKg": 20000 }, "properties": {}, "metadata": {}, "trackingProvider": "EROAD", "eroadVehicleId": null, "motiveVehicleId": null, "mtDataVehicleId": null, "samsaraVehicleId": null, "orbcommVehicleId": null, "mixTelematicsVehicleId": null, "readonlyFields": { "name": false, "registration": false, "vin": false, "tareWeightKg": false, "heightMetres": false, "description": false, "externalId": false, "telematics": false }, "updated": "2019-08-24T14:15:22Z", "id": "T001" }

Trailer

Trailers information

Operations

Transaction

Transaction management

Operations

Vehicle

Vehicles information

Operations

Vehicle Execution Statements

Unit of execution for trucks

OperationsWebhooks

Consignments

Webhooks